"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSignalsLoggingAdvancedQueryString = exports.parseDebugModeQueryString = void 0;
/**
 * If query string is set, coerce to boolean
 * If query string is not set, return undefined
 */
const parseDebugModeQueryString = () => {
    const queryParams = new URLSearchParams(window.location.search);
    const val = queryParams.get('segment_signals_debug') ||
        queryParams.get('seg_signals_debug');
    if (val === 'true' || val === 'false') {
        return val === 'true';
    }
    return undefined;
};
exports.parseDebugModeQueryString = parseDebugModeQueryString;
/**
 * This turns on advanced logging for signals!
 */
const parseSignalsLoggingAdvancedQueryString = () => {
    const queryParams = new URLSearchParams(window.location.search);
    const val = queryParams.get('segment_signals_logging_advanced') ||
        queryParams.get('seg_signals_logging_advanced');
    if (val === 'true' || val === 'false') {
        return val === 'true';
    }
    return undefined;
};
exports.parseSignalsLoggingAdvancedQueryString = parseSignalsLoggingAdvancedQueryString;
//# sourceMappingURL=index.js.map