"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = void 0;
const debug_mode_1 = require("../../core/debug-mode");
const debug_storage_1 = require("../storage/debug-storage");
class Logger {
    constructor() {
        this.storage = new debug_storage_1.DebugStorage('sessionStorage');
        this.debugLoggingEnabled = () => {
            return this.storage.getDebugKey(Logger.advancedLogging);
        };
        this.enableDebugLogging = (bool = true) => {
            this.storage.setDebugKey(Logger.advancedLogging, bool);
        };
        this.log = (...args) => {
            console.log('[signals log]', ...args);
        };
        this.debug = (...args) => {
            if (this.debugLoggingEnabled()) {
                console.log('[signals debug]', ...args);
            }
        };
        const val = (0, debug_mode_1.parseSignalsLoggingAdvancedQueryString)();
        if (typeof val === 'boolean') {
            this.storage.setDebugKey(Logger.advancedLogging, val);
        }
    }
}
Logger.advancedLogging = 'segment_signals_logging_advanced';
exports.logger = new Logger();
//# sourceMappingURL=index.js.map