"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugStorage = void 0;
class DebugStorage {
    constructor(type) {
        this.setDebugKey = (key, enable) => {
            try {
                if (enable) {
                    window[this.storageType].setItem(key, 'true');
                }
                else {
                    window.sessionStorage.removeItem(key);
                }
            }
            catch (e) {
                console.warn('Storage error', e);
            }
        };
        this.getDebugKey = (key) => {
            try {
                const isEnabled = Boolean(window[this.storageType].getItem(key));
                if (isEnabled) {
                    return true;
                }
            }
            catch (e) {
                console.warn('Storage error', e);
            }
            return false;
        };
        this.storageType = type;
    }
}
exports.DebugStorage = DebugStorage;
//# sourceMappingURL=debug-storage.js.map