import { parseSignalsLoggingAdvancedQueryString } from '../../core/debug-mode';
import { DebugStorage } from '../storage/debug-storage';
class Logger {
    constructor() {
        this.storage = new DebugStorage('sessionStorage');
        this.debugLoggingEnabled = () => {
            return this.storage.getDebugKey(Logger.advancedLogging);
        };
        this.enableDebugLogging = (bool = true) => {
            this.storage.setDebugKey(Logger.advancedLogging, bool);
        };
        this.log = (...args) => {
            console.log('[signals log]', ...args);
        };
        this.debug = (...args) => {
            if (this.debugLoggingEnabled()) {
                console.log('[signals debug]', ...args);
            }
        };
        const val = parseSignalsLoggingAdvancedQueryString();
        if (typeof val === 'boolean') {
            this.storage.setDebugKey(Logger.advancedLogging, val);
        }
    }
}
Logger.advancedLogging = 'segment_signals_logging_advanced';
export const logger = new Logger();
//# sourceMappingURL=index.js.map